2009-01-21  Suman Manjunath  <msuman@novell.com>

	** Fix for bug #541209

	** Adapt to the new APIs from upstream libical. Changes made include
	using the "_r" counterpart for the following APIs:
	+ icalproperty_as_ical_string ()
	+ icalvalue_as_ical_string ()
	+ icalcomponent_as_ical_string ()
	+ icalparameter_as_ical_string ()
	+ icaldurationtype_as_ical_string ()
	+ icalenum_reqstat_code ()
	+ icallangbind_property_eval_string ()
	+ icallangbind_quote_as_ical ()
	+ icalmime_text_end_part ()
	+ icalperiodtype_as_ical_string ()
	+ icalproperty_enum_to_string ()
	+ icalproperty_get_parameter_as_string ()
	+ icalproperty_get_value_as_string ()
	+ icalproperty_get_property_name ()
	+ icalrecurrencetype_as_string ()
	+ icaltime_as_ical_string ()
	+ icalreqstattype_as_string ()
	+ icalvalue_binary_as_ical_string ()
	+ icalvalue_int_as_ical_string ()
	+ icalvalue_utcoffset_as_ical_string ()
	+ icalvalue_string_as_ical_string ()
	+ icalvalue_recur_as_ical_string ()
	+ icalvalue_text_as_ical_string ()
	+ icalvalue_attach_as_ical_string ()
	+ icalvalue_duration_as_ical_string ()
	+ icalvalue_date_as_ical_string ()
	+ icalvalue_datetime_as_ical_string ()
	+ icalvalue_float_as_ical_string ()
	+ icalvalue_geo_as_ical_string ()
	+ icalvalue_datetimeperiod_as_ical_string ()
	+ icalvalue_period_as_ical_string ()
	+ icalvalue_trigger_as_ical_string ()
	+ icalvalue_as_ical_string ()

	* send-options.c (put_options_in_source):

2009-01-14  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #567744

	* proxy-login-dialog.glade:
	* proxy-listing.glade:
	Comment attribute in property tag should be plural.
	e.g. <property comments="...">

2008-12-29  Bharath Acharya  <abharath@novell.com>

	** Fix for bug bnc #435694

	* mail-retract.c: (org_gnome_retract_message): Since we now add a bar,
	lets set the popup items right.

2008-11-20  Bharath Acharya  <abharath@novell.com>

	** Fix for bug bnc #446286

	* status-track.c: (track_status): Remove the header check as we do a 
	e_gw_connection_get_item for tracking the status.

2008-11-04  Sankar P  <psankar@novell.com>

	** Fix for bug bnc #434968

	* plugins/groupwise-features/proxy-login.c:
	Show correct icon for the proxy login dialog

2008-10-17  Matthew Barnes  <mbarnes@redhat.com>

	* send-options.c (org_gnome_send-options):
	Don't mix declarations and statements.

2008-10-03  Sankar P  <psankar@novell.com>

License Changes

	* proxy-login.c:

2008-10-01  Gabor Kelemen  <kelemeng@gnome.hu>

	*  send-options.c: Mark two forgotten strings for translation. Fixes bug #553070

2008-10-01  Gabor Kelemen  <kelemeng@gnome.hu>

	* org-gnome-proxy-errors.xml:
	* org-gnome-proxy-login-errors.xml:
	* proxy.c:
	* proxy-listing.glade:
	* proxy-login-dialog.glade:
	Add translator comment to the occurrences of the Proxy term. Fixes bug #554297

2008-10-01  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #511947

	* proxy-login.c: (proxy_login_get_cnc):
	Pass in optional parent for password dialog.
	* proxy-login.c: (proxy_soap_login), (proxy_login_update_tree),
	(org_gnome_proxy_account_login): Adapt to the above change and check
	for NULL values to prevent runtime warnings.

2008-09-25  Philip Withnall  <philip@tecnocode.co.uk>

	** Fix for bug #553148

	* org-gnome-compose-send-options.xml:
	* org-gnome-groupwise-features.eplug.xml: Standardise "GroupWise"
	usage in translatable strings.

2008-09-24  Sankar P  <psankar@novell.com>

License Changes

	* proxy.c:

2008-09-22  Philip Withnall  <philip@tecnocode.co.uk>

	** Fixes bug #552851

	* org-gnome-shared-folder.errors.xml:
	Add translator comments to the accept/decline strings, and improve
	some other strings in the file.

2008-09-19  Sankar P  <psankar@novell.com>

License Changes

	* install-shared.c:
	* junk-settings.c:
	* share-folder.c:
	* status-track.c:

2008-09-12  Sankar P  <psankar@novell.com>

License Changes

	* send-options.c:

2008-09-02  Sankar P  <psankar@novell.com>

License Changes

	* addressbook-groupwise.c:
	* junk-mail-settings.c:
	* mail-retract.c:

2008-08-27  Sankar P  <psankar@novell.com>

License Changes

	* junk-settings.h:
	* mail-send-options.c:
	* mail-send-options.h:
	* process-meeting.c:
	* proxy-login.h:
	* proxy.h:
	* share-folder-common.c:
	* share-folder.h:

2008-08-01  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #544861

	* org-gnome-proxy-login-errors.xml:
	Reword "invalid-user" error message.

2008-07-28  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #543756

	* org-gnome-shared-folder.errors.xml:
	* process-meeting.c: (process_meeting):
	Make question better translatable.

2008-06-20  Sankar P  <psankar@novell.com>

	* mail-retract.c (retract_mail_settings):
	Multiple open dialogs is an usability issue
	and a potential HIG violation. 
	Thanks to Akhil for pointing out.

2008-06-20  Sankar P  <psankar@novell.com>

	* mail-retract.c (retract_mail_settings):
	Check if cnc is valid before using it.
	Fixes a crash.

2008-06-19  Sankar P  <psankar@novell.com>

	* mail-retract.c (retract_mail_settings):
	Ask the user if he really wants to retract mails.
	Re-arrange the menus a little for grouping related things.

2008-05-22  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #534360

	* proxy.h:
	* proxy-login.h:
	Migrate from deprecated GtkObject symbols to GObject equivalents.

2008-04-25  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #529855

	* org-gnome-shared-folder.errors.xml: (recurrence):
	Use proper label element name, these are localized by default.

2008-04-02  Matthew Barnes  <mbarnes@redhat.com>

	* mail-send-options.c (org_gnome_composer_send_options):
	Adapt to streamlined EMsgComposer API.

2008-03-27  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #511957

	* org-gnome-proxy-login-errors.xml:
	* org-gnome-shared-folder.errors.xml:
	* org-gnome-proxy-errors.xml:
	* org-gnome-mail-retract-errors.xml:
	Mark messages for translation.

2008-03-27  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #511956

	* share-folder.c: (notification_clicked): Mark text for translation.
	* properties.glade: Make dialog nicer.

2008-03-27  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #511953

	* share-folder.c: (notification_clicked): Create dialog properly.

2008-03-27  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #511950

	* properties.glade: Do not force button/label sizes.

2008-03-25  Sankar P  <psankar@novell.com>

	* proxy.c: (org_gnome_proxy):
	We are using some g_object_set on EAccount. 
	We should also avoid double-free later. So reffing. 

2008-03-18  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #511952

	* share-folder.c: (share_folder_construct):
	* proxy.c: (proxy_add_account): Marking text for translation.

2008-02-18  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #515744

	* send-options.c: (get_source):
	* share-folder-common.c: (get_container_id):
	* install-shared.c: (install_folder_response):
	Memory leak fix.

2008-01-28  Andre Klapper  <a9016009@gmx.de>

	* proxy-add-dialog.glade: string "Read" needs gettext context, 
	translator comments.  

2008-01-24  Milan Crha  <mcrha@redhat.com>

	** Part of bug #511488

	* share-folder-common.c: (users_dialog_response): The logic to check
	if vfolder is running has been changed, so reflect it here too.

2008-01-07  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #300336

	* share-folder-common.c: (users_dialog_response):
	Ensure vfolder is running.

2007-12-06  Alex Kloss  <alexkloss@att.net>

	** Fix for bug #347328

	* properties.glade:
	Fix mnemonic clash over 'c', add mnemonic for 'Name' entry
	* share-folder.c: (share_folder_construct):
	Connect name_selector_entry and its label

2007-11-12  indu  <indu_ait@yahoo.co.in>

	** Fix for bug #458515
	*  status-track.c: (recipient->undelivered_date): 
	string corrected

2007-10-26  Kjartan Maraas  <kmaraas@gnome.org>

	* junk-mail-settings.c: (junk_mail_settings),
	(org_gnome_junk_settings):
	* send-options.c: (send_options_finalize), (get_source):
	* status-track.c: (track_status), (org_gnome_track_status):
	Warning fixes:
	- mixing code and declarations
	- ANSIfication of function declaration

2007-09-27  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #477045

	* share-folder-common.c:
	Use standard icon names where applicable.

2007-08-17  Johnny Jacob  <jjohnny@novell.com>

	** Fix for bug #458715.
	
	* proxy.c : (proxy_page_changed_cb) : Do not include "<All User
	Access>" in the list. And use g_malloc0.
	
2007-08-16  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #466548

	* mail-send-options.c: (org_gnome_composer_send_options):
	e_msg_composer_get_preferred_account can return NULL, so test for it.

2007-08-13  Sankar P  <psankar@novell.com>

	** Fix for bug #330968

	* proxy.c: (proxy_page_changed_cb):
	Fixes a crash on account-editor.
	Proxy Preferences Crash Fix.

2007-08-10  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #327977

	* proxy.c: (proxy_get_cnc): Added parent_window parameter
	and uses it in call of e_passwords_ask_password.
	* proxy.c: (proxy_commit), (proxy_page_changed_cb):
	Calls proxy_get_cnc, passing in parent window handle.
	* send-options.c: (get_cnc): Added parent_window parameter
	and uses it in call of e_passwords_ask_password.
	* send-options.c: (e_sendoptions_clicked_cb):
	Calls get_cnc, passing in parent window handle.

2007-08-03  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	** Fix for bug #462010

	* proxy.c: (proxy_update_tree_view):
	* proxy-login.c: (proxy_login_update_tree): Plugged memory leak.

2007-07-29  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #410287 from Lucky

	* status-track.c: (track_status):

2007-05-11  Gilles Dartiguelongue  <dartigug@esiee.fr>

	* mail-send-options.c: (org_gnome_composer_send_options):
	Fixes typo and casts, fixes part of bug #437584

2007-04-19  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #429422

	* status-track.c (track_status):
	Use gtk_widget_set_size_request() instead of gtk_widget_set_usize().

2007-03-30  Sankar P  <psankar@novell.com>

	* status-track.c: (format_date), (track_status):
	Rewritten GroupWise Status Tracking

2007-03-20  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #419524

	* Include <glib/gi18n.h> instead of <libgnome/gnome-i18n.h>.

2007-02-05  Sankar P  <psankar@novell.com>

	* junk-settings.c:
	Include missing header file

2007-01-27  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>
	* install-shared.c: (org_gnome_popup_wizard):
	don't split sentences. Fixes bug #401288.

2007-01-27  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* install-shared.c: (org_gnome_popup_wizard):
	* junk-settings.c: (junk_settings_construct):
	* share-folder.c: (share_folder_construct):
	* status-track.c: (track_status):
	mark strings as translatable. See bug #399381 for details.

2007-01-25  Kjartan Maraas  <kmaraas@gnome.org>

	* send-options.c: (get_cnc): Fix a crash when setting up
	a GroupWise account. Closes bug #330969. Patch from
	Parthasarathi Susarla.

2007-01-18  Raghavendran <raghavguru7@gmail.com>
	
	* org-gnome-groupwise-features.xml: 
	* mail-send-options.c :
	Added code for implementing Send options via
	a data hook .
2006-11-17  Harish Krishnaswamy  <kharish@novell.com>

	* proxy-login.c: (proxy_login_get_cnc): Remove
	an extraneous initialization that leaks a CamelUrl on
	each invocation.

2006-10-16  Chris Heath  <chris@heathens.co.nz>

	* mail-send-options.c (org_gnome_compose_send_options):
	Fix memory leak.  Fixes bug #360815.

2006-07-18  Andre Klapper  <a9016009@gmx.de>

	* properties.glade: remove "*" from translation. Fixes bug #331147.

2006-07-17  Sankar P  <psankar@novell.com>

	* mail-retract.c: (retract_mail_settings)
	Made the success message translatable and fixed a typo.
	
2006-07-17  Sankar P  <psankar@novell.com>

	* mail-send-options.c: (feed_input_data)
	* mail-send-options.h:
	Added support for X_SEND_OPT_SECURITY
	
2006-07-17  Sankar P  <psankar@novell.com>

	* Added support for GroupWise Message Retract
	* Files added: mail-retract.c, org-gnome-mail-retract-errors.xml
	* Files modified: org-gnome-groupwise-features.eplug.xml, Makefile.am
	
2006-06-29  Andre Klapper  <a9016009@gmx.de>

	* proxy-login.c: add translator comments to the string "Proxy 
	login". Fixes bug #345055.

2006-06-12  Sankar P  <psankar@novell.com>

	* proxy-login.c: org-gnome-proxy-login-errors.xml:
	Handled error case to not allow proxy login to the same account 
	more than once. Fixes #340535

2006-05-31  David Richards  <drichard@largo.com>

	* proxy-login-dialog.glade:
	Increases the height of the dialog to make it easily usable
	
2006-04-24  Sankar P  <psankar@novell.com>

	* org-gnome-proxy-login-errors.xml:
	Changed the ; in the end to a . in an error message

2006-03-01  Sankar P  <psankar@novell.com>

	* proxy-login.c: (proxy_get_password) 
	(proxy_login_get_cnc):
	Takes care of non SSL accounts too.
	Fixes #332948

2006-02-21  Shreyas Srinivasan  <sshreyas@novell.com>

	* proxy.c: Fix more brokenness. doh check if its the proxy
	page. Need whack on the head for sucky reckless commit. 

2006-02-16  Shreyas Srinivasan  <sshreyas@novell.com>

	* proxy.c: Initialize connection only when the proxy tab is 
	clicked. 
	
2006-02-08  Parthasarathi Susarla <sparthasarathi@novell.com>
	
	** See bug 326348
	* share-folder-common.c:(refresh_folder_tree)
	check if its a valid accoune before creating folder

2006-01-27  Andre Klapper <a9016009@gmx.de>
	* proxy-listing.glade:
	removed string "dialog1" from translation. Fixes bug 306118.

2006-01-18  Vivek Jain <jvivek@novell.com>
 	
 	* status-track.c : (add_detail): decode the date
 	to local time **Fixes #314755
 	also fixed some styling issues.

	Committed on behalf of Vivek - partha

2006-01-06  Simon Zheng <simon.zheng@sun.com>

	* junk-mail-settings.c:
	* mail-send-options.c:
	* proxy-login.c:
	* proxy.c:
	* proxy.h:
	* send-options.c:
	use libedataserver/e-account-list.h instead of e-util/e-account-list.h.
	use libedataserver/e-account.h instead of e-util/e-account.h.

2005-12-30  Andre Klapper <a9016009@gmx.de>

	* evolution/plugins/groupwise-features/properties.glade:
 	 Fixing several typos and harmonizing
	 capital/small letters. Partially fixes bug 306117.

2005-12-17  Tor Lillqvist  <tml@novell.com>

	* junk-settings.c
	* proxy-login.c
	* proxy.c
	* share-folder.c: Construct glade file name at run-time.

	* process-meeting.c (find_attendee): Use g_ascii_strcasecmp()
	instead of g_strcasecmp().

2005-12-12  Harish Krishnaswamy  <kharish@novell.com>

	* Makefile.am: Fix make-clean issues.

2005-12-05  Parthasarathi Susarla <sparthasarathi@novell.com>
	
	* proxy.c: initialize CamelException.

	Fixes bug #314576

2005-11-10  Harish Krishnaswamy  <kharish@novell.com>

	* mail-send-options.c: (org_gnome_compose_send_options):
	Function signature specifies a void return. So, do not 
	return NULL.
	
2005-10-20  Sankar P  <psankar@novell.com>

	* proxy-login.c (org_gnome_proxy_account_login) (proxy_login_get_cnc): 
	When the user forgets-password explicitly, the subsequent proxy-login requests 
	are made with a NULL password leading to unexpected behavior.
	Fixes #312467

	* proxy-login.c (proxy_login_update_tree) (proxy_login_get_cnc):
	Added the missing unrefs for the connection object.

2005-10-19  Shreyas Srinivasan  <sshreyas@novell.com>

	* proxy.c (org_gnome_proxy): Dont try to connect when the account is
	offline. Also connect to the server only when the proxy tab is clicked.
	* Fixes #314297, #314345

2005-10-14  Vivek Jain <jvivek@novell.com>
	
	* proxy.c :(proxy_get_cnc)
	"use_ssl" should be Null checked before comparing it with any value. 
	its NULL when evo is not compiled with ssl support and caused crash.

2005-10-07  Vivek Jain <jvivek@novell.com>

	* share-folder.c : (remove_clicked)
	when we reach to the last item in the list, de-sensitize the remove
	button.
	
2005-10-05  Vivek Jain <jvivek@novell.com>
	
	* share-folder.c : (display_container) moved code for comparing id's
	to the getcontainer list part, we break if we find the matched.
	also check for null before comparing, free the values
	**Fixes #317906

2005-09-30  Vivek Jain <jvivek@novell.com>
	
	* shared-folder-common.c: (org_gnome_create_option)
	 			: (org_gnome_shared_folder_factory)
	* install-shared.c 	: (org_gnome_popup_wizard)
	enable shared-folder functionalilty, remove env check 

2005-09-28  Sankar P  <psankar@novell.com>

	*  proxy.c (proxy_dialog_store_widgets_data):
	Added code to handle the extra blank email that will be returned 
	from the ENameSelector, while auto-completion.
	Fixes #317400
	
2005-09-27  Vivek Jain <jvivek@novell.com>
	
	* install-shared.c: (accept_clicked): 
	 we have to connect "response" to (install_folder_response)
	 to make it work
	 don't destroy druid right now, wait till folder selector
	 dialog dies, make folder selector dialog modal

2005-08-25  Sankar P  <psankar@novell.com>

	*  proxy.c: (proxy_dialog_finalize):
	Replaced g_object_unref with g_free since priv was created using g_new.
	Fixes #312309

2005-08-23  Not Zed  <NotZed@Ximian.com>

	* proxy-login.c (proxy_get_password): return the right type.
	(proxy_soap_login): fix pointer cast.
	(proxy_login_add_new_store): fix pointer cast.
	(proxy_login_setup_tree_view): fix callback cast.
	(org_gnome_proxy_account_login): fix prototype to match use.

	* junk-settings.c (user_selected): fix calling.
	(junk_settings_construct): more stupid casts.

	* junk-mail-settings.c (junk_mail_settings): casts.

	* install-shared.c (install_folder_response): constify item_id.
	(install_folder_response): remove unused.
	(org_gnome_popup_wizard): fixed numerous problems with this,
	over-copying data around, not referencing information properly,
	freeing potentially unset variables, etc etc.
	(accept_free): add a free function.

	* share-folder.c (notification_clicked): fix a multitude of busted
	casts.
	(user_selected): fix broken calling conventions, busted style.
	(share_folder_construct): fix more busted/missing casts.

	* share-folder-common.c: add missing header.

2005-08-22  vivek jain <jvivek@novell.com>
	
	** see previous commit 
	 changed variable name to 
	 groupwise_shared_folder

2005-08-22  Vivek Jain <jvivek@novell.com>
	
	* shared-folder-common.c: (org_gnome_create_option)
	 			: (org_gnome_shared_folder_factory)
	* install-shared.c 	: (org_gnome_popup_wizard)
	disable shared-folder functionalilty temporarily, (server doesn't show
	mails in it)
	export SHARED_FOLDER if you want to have it

2005-08-11  Veerapuram Varadhan <vvaradhan@novell.com>

	* proxy.c:
	(proxy_commit) : Check "prd" for NULL, ALWAYS.
	
2005-08-10  Sankar P  <psankar@novell.com>

	* proxy.c :  
	(proxy_dialog_store_widgets_data)
	(proxy_commit) : Changed the way in which the EDIT and DELETED flags
	are handled so that any proxy can be deleted without closing account-editor.
	Fixes #312313
	
2005-08-10  Sankar P  <psankar@novell.com>

	* proxy.c : 
	Moved the GList to maintain the list of proxies, 
	into the proxyDialog structure.
	Fixes #312352, #312309

	* proxy.h :
	Added free_proxy_list declaration to avoid compiler warning
	
2005-08-10  Vivek Jain <jvivek@novell.com>
	
	* share-folder-common.c:(org_gnome_shared_folder_factory)
	always use full name for the folder
	**Fixes #311555

2005-08-06  Sankar P  <psankar@novell.com>

	* proxy.c: (proxy_dialog_store_widgets_data)
	Disabling giving proxy rights to self.
	Fixes #312365

2005-07-29  Vivek Jain <jvivek@novell.com>
	
	* status-track.c: (track_status):
	adjust row counts while calling add_detail
	so that it doesn't overlap the entries.
	**Fixes #302817

2005-07-29  Vivek Jain <jvivek@novell.com>

	* org-gnome-groupwise-features.eplug.xml:
	for status strack  removed "Item" tag entries, included a factory method

	* status-track.c :  (org_gnome_track_status): converted to 
	 factory method to add the item, moved most of its code to
	new function (track_status), which is a callback for the click
	 **Fixes #311721

2005-07-27  Sankar P  <psankar@novell.com>

	* org-gnome-groupwise-features.eplug.xml: Added the hook for
	the proxy-login feature, since it was removed by mistake.
	
2005-07-23  Chenthill Palanisamy  <pchenthill@novell.com>

	* Makefile.am: Added the new file process-meeting.c
	and widgets/misc to include headers.
	* org-gnome-groupwise-features.eplug.xml: Added the
	hook for processing meetings.
	* org-gnome-shared-folder.errors.xml: Added the message
	for asking for error 

2005-07-22  Vivek Jain <jvivek@novell.com>
	
	* share-folder.c : Put back the fix I committed on 
	2005-03-31, not sure when it got reverted.
	**Fixes #311217

2005-07-20  Shreyas Srinivasan <sshreyas@novell.com>

	* proxy.c: Fix #310710. Make code little smart. Stop
	adding tabs continously. Still does not reuse structures
	on multiple invocations though.
	
2005-07-20  Vivek Jain <jvivek@novell.com>
	
	* mail-send-options.c: connect to sod-signal and get the input data in
	the callback "feed_input_data"
	** Fixes #310854

2005-07-20  Sankar P  <psankar@novell.com>

	* Consolidated the proxy and proxy-login plugins into the 
	groupwise-features plugins and merged the ChangeLogs and copied the 
	following files from their old plugins directories.

	* proxy.[ch]
	* proxy-login.[ch]
	* org-gnome-proxy-errors.xml
	* org-gnome-proxy-login-errors.xml
	* proxy-login-dialog.glade
	* proxy-listing.glade
	* proxy-add-dialog.glade

2005-07-19  Vivek Jain <jvivek@novell.com>

	* junk-mail-settings.c: Marked strings for translation

2005-07-15  Sankar P  <psankar@novell.com>

	* proxy-login.h: Removed the permissions from the structure, 
	since it is no longer needed.

2005-07-15  Sankar P  <psankar@novell.com>

	* proxy-login.c: Put permissions on the store instead of the
	global structure as it gets unref before store_add.
	
2005-07-14  Not Zed  <NotZed@Ximian.com>

	* proxy-login.c (proxy_login_add_new_store): fixed the store
	permission names.

2005-07-14  Vivek Jain  <jvivek@novell.com>
	
	* proxy.c: (proxy_commit),(proxy_abort):
	 NULL checks before we do anything else here (quite likely to be NULL)
	**Fixes #310347

2005-07-13  Tor Lillqvist  <tml@novell.com>

	* Makefile.am (LIBADD): Link with libeutil. Link with
	libevolution-mail on Win32 only. (Have I understood correctly that
	it isn't considered a good idea on Unix to link plugins at
	link-time with libevolution-mail?)

	* org-gnome-proxy-login.eplug.xml: Use SOEXT.

2005-07-13  Tor Lillqvist  <tml@novell.com>

	* Makefile.am (LIBADD): Link with libeutil.


2005-07-13  Tor Lillqvist  <tml@novell.com>

	* Makefile.am (NO_UNDEFINED_REQUIRED_LIBS): As the code does use
	functions from libevolution-mail, link with it. But OK, let's do
	it (at build time) only on Win32, then.

2005-07-12  Sankar P  <psankar@novell.com>

	* Makefile.am :
	Added CLEANFILES element and glade and error files to EXTRA_DIST.

2005-07-12  Sankar P  <psankar@novell.com>

	* Makefile.am :
	Added missed header files to the SOURCES.
	
2005-07-12  Sankar P  <psankar@novell.com>

	* Makefile.am :
	Added org-gnome-proxy-errors.xml file to the EXTRA_DIST and 
	added CLEANFILES. 

2005-07-12  Sankar P  <psankar@novell.com>

	* Makefile.am :
	Added missed header files to the SOURCES.

2005-07-12  Vivek Jain <jvivek@novell.com>
	
	transferred ChangeLog entry here
	(2005-07-10  Shreyas Srinivasan <sshreyas@novell.com>)
	* plugins/groupwise-features/*: Remove the
	camel-groupwise-listener code as it runs in a different plugin.

2005-07-11  Sankar P  <psankar@novell.com>

	* proxy.c : (org_gnome_proxy)
	Made changes so that the proxy list will be loaded only when the 
	account edited is enabled. So a new connection need not be created,
	when an account is edited and a connection is not present.
	Fixes #309999

2005-07-11  Sankar P  <psankar@novell.com>

	* proxy.c : 
	(proxy_edit_account) : Added code to hide the contacts button
	while editing proxy access rights for a proxy.
	Fixes #309992

2005-07-11  Sankar P  <psankar@novell.com>
	
	* proxy.c :
	Included <string.h> header to avoid the compiler warnings.

2005-07-07  Frederic Crozat  <fcrozat@mandriva.com>

	* send-options.c: Add missing header.

2005-07-07  Vivek Jain <jvivek@novell.com>
	
	* org-gnome-groupwise-features.eplug.xml:
	 have one more hookitem in folderview.popup
	 for displaying junk mail settings
	 
	 added four more files
	 * junk-mail-settings.c
	 * junk-settings.c
	 * junk-settings.h
	 * junk-settings.glade
	* Makefile.am : updated to add these files 

2005-06-27  Sushma Rai  <rsushma@novell.com>

	* org-gnome-groupwise-features.eplug.xml:
	Not loading on start-up and not linking to libevolution-mail.

2005-06-27  Tor Lillqvist  <tml@novell.com>

	* Makefile.am: Use NO_UNDEFINED. Link with more libraries.

2005-06-25  Harish Krishnaswamy <kharish@novell.com>

	* Makefile.am: Reverting previous commit. Do not remove
	$(EVOLUTION_MAIL_LIBS) from LIBADD. The addressbook dependency
	is not required atm.

2005-06-25  Sushma Rai  <rsushma@novell.com>

	* Makefile.am: Linking to libevolution-mail and libevolution-addressbook

2005-06-24  Sushma Rai  <rsushma@novell.com>

	* org-gnome-groupwise-features.eplug.xml: Set load-on-startup.

2005-06-18  Tor Lillqvist  <tml@novell.com>

	* org-gnome-groupwise-features.eplug.xml: Use SOEXT.

2005-05-24 Vivek Jain <jvivek@novell.com>
	
	* org-gnome-groupwise-features.eplug.xml:
	 removed "Item" tag entries, included a factory method
	 
	 * shared-folder-common.c: changed callback (org_gnome_create_option)
	 to a factory method, check uri before adding the option to the menu.
	 New folder dialog now comes in another callback (create_shared_folder)
	 also added a function to free the item list.

2005-05-23 Vivek Jain <jvivek@novell.com>

	Created a plugin "groupwise-features" which is a consolidation of 
	following existing plugins
	* groupwise-account-setup
	* addressbook-groupwise
	* shared-folder
	* groupwise-send-options
	* groupwise-status-tracking
	* send-options

2005-05-16  Not Zed  <NotZed@Ximian.com>

	* camel-gw-listener.c: moved e-error to e-util.

2005-05-16  Not Zed  <NotZed@Ximian.com>

	* share-folder-common.c: moved e-error to e-util

	* Makefile.am: error filename changes.

2005-05-06  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #273063
	* org-gnome-shared-folder-errors.xml:
	* org-gnome-shared-folder-errors.xml.h:Removed the unwanted
	tabs and new line characters.

2005-05-06  Sarfraaz Ahmed <asarfraaz@novell.com>

	* properties.glade : Fixed a typo #273064

2005-05-05  Srinivasa Ragavan <sragavan@novell.com>

	* properties.glade : Fixed a typo 272538
	
2005-03-31  Parthasarathi Susarla <sparthasarathi@novell.com>
	
	* share-folder-common.c:(create_folder):
	  check the store state, can create a shared 
	  folder only in online mode
	  Fixes bug 74002

2005-03-31  Vivek Jain <jvivek@novell.com>
	
	**Fixes #74002
	* share-folder-common.c : 
	(get_cnc): return cnc as NULL if evoluiton is in offline.
	(create_folder): return -1 if in offline

2005-03-31  Vivek Jain <jvivek@novell.com>
	
	**Fixes #73787 (bugzilla innerweb.novell)
	* share-folder.c : 
	(add_right_clicked)
	(edit_right_clicked)
	(delete_right_clicked) : use path passed in the callback to get the
	current iterator
	also including some NULL checks

2005-03-28  Vivek Jain <jvivek@novell.com>
	
	**Fixes #73198
	* share-folder-common.c : 
	(org_gnome_shared_folder_factory):
	(create_folder__created) : pass the full name in get_conatiner_id
	(get_container_id) : break the full name and start looking for the
	name from the top most parent. This will give proper container id
	even in the case of the duplicate names at different hierarchies


2005-03-18 Vivek Jain <jvivek@novell.com>
		
	* send-options.h: 
	* send-options.c: (org_gnome_compose_send_options): replace
	X_RETURN_NOTIFY_DECLINE with X_RETURN_NOTIFY_DELETE

2005-03-18  Vivek Jain <jvivek@novell.com>
	
	**Fixes #73473
	* send-options.c :(org_gnome_compose_send_options)
	 user proper entry to calculate the date of reply requested

2005-03-10  Vivek Jain <jvivek@novell.com>
	
	**Fixes #73201
	* share-folder-common.c : (org_gnome_shared_folder_factory)
	 use full_name given by CamelFolder to get the selected folder name


2005-03-09  Sankar P <psankar@novell.com>

	* send-options.c: (org_gnome_compose_send_options)
		Updated code to add priority to the appropriate header
		Fixes the problem of Priority not set in outgoing mails 

2005-03-07  Sivaiah Nallagatla <snallagatla@novell.com>

	* camel-gw-listner.c (add_addressbook_sources) :
	don't free container list here. It is chaced in 
	connection and will be frred later. 

	Fixes #72807 
	
2005-02-24  Björn Torkelsson  <torkel@acc.umu.se>
	* org-gnome-shared-folder.eplug.in: Added Groupwise to name.
	Fixed description and added author.
	Added xml tag.

2005-02-24  Björn Torkelsson  <torkel@acc.umu.se>

	* org-gnome-gw-account-setup.eplug.in: Added author and fixed
	description.

2005-02-23  JP Rosevear  <jpr@novell.com>

	* org-gnome-gw-account-setup.eplug.in: add account wizard item


2005-02-23  Hans Petter Jansson  <hpj@novell.com>

	* camel-gw-listener.c: Include <libedataserverui/e-passwords.h>.
	
2005-02-17  Vivek Jain <jvivek@novell.com>
	
	* share-folder-common.c : (get_cnc):
	 
	 use ssl when "always" and "whenever possible" is enabled
	 changed "soap_ssl" to "use_ssl"		
	 use the default port "7191" instead of "7181"	 

	2005-02-16  Not Zed  <NotZed@Ximian.com>

	* groupwise-account-setup.c (org_gnome_gw_account_setup): return
	NULL, not an invisible, so it doesn't interfere with account
	editor.
	
2005-02-16  Not Zed  <NotZed@Ximian.com>

	* groupwise-account-setup.c (org_gnome_gw_account_setup): return
	NULL, not an invisible, so it doesn't interfere with account
	editor.

2005-02-03  Chenthill Palanisamy  <pchenthill@novell.com>

	* send-options.c: (add_day_to_time), (send_options_commit),
	(org_gnome_compose_send_options):Added functions to destroy
	the dialog when the composer is destroyed to solve the crash.
	Removed the return statement so that the send options gets
	added to the composer headers. Made modification in setting
	the values for some headers.
	Changing the file name from Changelog to ChangeLog.

2005-01-28 Sivaiah Nallagatla <snallagatla@novell.com>

	* camel-gw-listner.c (get_address_book_names_from_server) 
	: Remove leading "%s" in the message. Similar to
	#36137 

	* camel-gw-listener.c (add_esource) 
	(modify_esource) (add_addressbook_sources) : 
	Don't set offline_sync value taken from camel url 
	instead set "1" or "0" depending upon offline is enabled 
	or not

2005-01-24  Vivek Jain <jvivek@novell.com>
	
	* properties.glade : changed the layout of the widgets
	* share-folder.[ch]: removed the checkbuttons for display of rights
			  : removed new_list, update_list and remove_list
			    added  users_list
	* share-folder.c   : removed function (update_list_update)
	(share_folder_construct) : added gtk_cell_renderer_toggle for
	displaying rights
	added one structure SharedUsers to have a single list instead of three
	different lists. Made corresponding changes in all functions.
	* share-folder-common.c : (new_folder_response): use
	gtk_widget_reparent to pack the widget
	added two files
	* org-gnome-shared-folder-errors.xml
	* org-gnome-shared-folder-errors.xml.h : to display error message
	* Makefile.am : included error data

2005-01-21  Sivaiah Nallagatla <snallagtla@novell.com>

	* org-gnome-gw-account-setup.eplug.in : changed
	the item type from "item" to "item_table". avoids 
	some debug spew on the console 

2005-01-20  Sivaiah Nallagatla <snallagatla@novell.com>

	* camel-gw-listener.c: (add_calendar_tasks_sources): 
	Assiged value to URL.

2005-01-19  Vivek Jain <jvivek@novell.com>
	*install-shared.c
	(org_gnome_popup_wizard): fixed a crash, caused by g_free
	(install_folder_response): free the memory	

2005-01-18  Vivek Jain <jvivek@novell.com>
	*install-shared.c
	(org_gnome_popup_wizard): removed unnecessary stuff for the display of
	wizard

2005-01-18  Parthasarathi Susarla <sparthasarathi@novell.com>
	
	*install-shared.c
	 (org_gnome_popup_wizard): displays the message without the
	 mime headers

2005-01-17 Vivek Jain <jvivek@novell.com> 
	
	*install-shared.c : (org_gnome_popup_wizard): included a condition
	(null check) to fix a crash
	* shared-folder-common.c :(org_gnome_shared_folder_factory): some
	condition checks to avoid the possible crashes
	(get_container_id): included code to return top level container id if
	folder name is passed as null

2005-01-15  Sivaiah Nallagatla <snallagatla@novell.com>

	* camel-gw-listner.c : use url->host instead of reading "poa"
	parameter everywhere. use "use_ssl" param instead of soap_ssl
	We not longer have separate settings for soap as we use soap for mail
	now 


2005-01-13 Vivek Jain <jvivek@novell.com> 
	
	* share-folder.c :changed the function find_node to return user node
	corresponding to the mail address given.
	(add_clicked): added a condition so that user can't share folder to itself.
	(user_selected): modified to display proper rights when owner is selected.
	* share-folder-common.c : calling share_folder with a cnc in it.

2005-01-10 Vivek Jain <jvivek@novell.com> Included 

	* install-shared.c : opens up a wizard on reading a shared folder
	notification and installs shared folder at the recepient end.
	* share-folder-common.c : added 
	(refresh_folder_tree) : to refresh the folder tree when a folder is shared or
	a shared folder is created so that different icons are displayed
	(get_cnc): to get a connection 
	(get_container_id):to get the container id of the folder user selects
	* share-folder.c : minor changes to fix the crash
	* Makefile.am : including install-shared.c in sources
	* org-gnome-shared-folder.eplug.in : added a plugin to the e-plugin list for
	the message-read event

2004-12-17  Sivaiah Nallagatla <snallagatla@novell.com>

	* camel-gw-listner.c (add_esource) : read "soap_ssl" from 
	the camel url instead of "use_ssl"

2004-12-15 Vivek Jain <jvivek@novell.com>

	Added (Create a shared folder) functionality in the plugin
	* org-gnome-shared-folder.eplug.in : added a plugin in the plugin list
	* share-folder-common.c : included functions to create a shared folder

2004-12-15  Vivek Jain <jvivek@novell.com>

	* shared-folder-common.c : (org_gnome_shared_folder_factory)
	* shared-folder.c : some whitespace changes, typecasting widgets,
	in (on_add_clicked) removed assigning the rights portion
